using PkmnLib.Static.Moves;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "shell_trap")]
public class ShellTrapHelper : Script, IScriptOnIncomingHit
{
    public bool HasHit { get; private set; }

    /// <inheritdoc />
    public void OnIncomingHit(IExecutingMove move, IPokemon target, byte hit)
    {
        if (move.UseMove.Category == MoveCategory.Physical)
            HasHit = true;
    }
}